<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity4">
<head>
<meta charset="UTF-8" />
<title>Create New Stock</title>
<meta name="viewport" content="width=device-width, initial-scale=1" />
<link rel="stylesheet"
	href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" />
	<link rel="stylesheet" href="/css/button.css" th:href="@{/css/button.css}" />
<script
	src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.0/jquery.min.js"></script>
<script
	src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
</head>
<body>
	<div class="container">
	<div th:fragment="logout" class="logout" sec:authorize="isAuthenticated()">   
            Logged in user: <span sec:authentication="name"></span>  
            <div>
                <form action="#" th:action="@{/logout}" method="post">     
                    <input type="submit" value="登出" class="red" />
                </form>
            </div>
        </div>
	Hello <span th:text="${session.loginId}">login id</span>!
		<form th:action="stockRetrieveByCategory" method="post">
		演出類型:<select name="stockCategory" th:field="${stockCategory.id}">
			<option th:each="stockCategory : ${allStockCategories}"
				th:value="${stockCategory.id}" th:text="${stockCategory.name}">商業</option>
		</select> 
		<div class="btn-group">
		<input type="submit" value="確認" class="blue"/>
			</div>
	</form> 
	
	<form th:action="stockRetrieveByHost" method="post">
		主辦單位：<select name="stockHost" th:field="${stockHost.id}">
			<option th:each="stockHost : ${allStockHosts}"
				th:value="${stockHost.id}" th:text="${stockHost.host_name}">商業</option>
		</select> 
		<div class="btn-group">
		<input type="submit" value="確認" class="blue"/> 
			</div>
	</form>
	
	<form th:action="stockSearch" method="post">
		<input type="submit" value="搜尋：" class="blue"/>
		<input type="text" name="text" class="textA"/><br />
		<div class="btn-group">
		 <a href="stockRetrieveAll"><input
			type="button" value="Show All Stocks" class="blue"/></a>
			</div>
	</form>
	<br/>
	<p><a href="/index" th:href="@{/index}">回首頁</a></p>
		<a href="shoppingCartList">查看購物車</a>  <a href="shoppingList">查看訂單</a>
		<table class="table table-bordered table-striped">
			<tr>
				<th>海報</th>
				<th>演出名稱</th>
				<th>演出類型</th>
				<th>演出地點</th>
				<th>演出者</th>
				<th>主辦單位</th>
				<th></th>
			</tr>
			<tr th:each="stock : ${stocks} " th:object="${stock}">
				<td><img th:src="*{photo}" width="200px"/></td>
				<td><span th:text="*{name}">PC</span></td>
				<td><span th:text="*{stockCategory.name}">PC</span></td>
				<td><span th:text="*{place}">56</span></td>
				<td><span th:text="*{performers}">20</span></td>
				<td><span th:text="*{stockHost.host_name}">20</span></td>
				<td><a th:href="@{scheduleDetail(id=*{id})}">選場次<span
						class="glyphicon glyphicon-search"></span></a></td>
			</tr>
		</table>
	</div>
</body>


</html>